<form action="" id="form_module_adv" class="zhezhao_style" name="form_module_adv" method="post"  onsubmit="return submit_module();">
<table border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF" class="from_table2" style=" overflow:hidden;width:530px">
	<tr>
	  <th width='130'><tpl> $langChannelModuleId </tpl></th>

		<td align="left">
		adv_module_
	  <input type="text" class="txtinput_short" name="temp_name" id="temp_name" value="<tpl> $modi_array.temp_name </tpl>" />  </td> </tr>        
		<tr><th width="130"></th>
		<td align="left" style="color:#FF0000"><tpl> $langChannelNoteModuleIdIs100EnglistOrNum </tpl></td></tr>	
	
	<tr>
	<th width="130"></th>
		<td align="left">
			<select style="width:200px" name="adv_left_select" id="adv_left_select">
				<tpl> section name=loop loop=$adv_array </tpl>
					<option <tpl> if $adv_array[loop].adv_code eq $modi_array.code </tpl>selected="selected"<tpl> /if </tpl> value="<tpl> $adv_array[loop].adv_code </tpl>"><tpl> $adv_array[loop].adv_code </tpl></option>
				<tpl> /section </tpl>
	  </select>  	  </td>
	</tr>
	<tr>
	<th width="130"></th>
		<td  align="left">
			<span class="btn_left">
	        <input type="submit" value="<tpl> $langCEnsure </tpl>" class="btn_submit" />
	  </span>
	  </td>
   </tr>
</table>
</form>
<script>
//添加模块，以模块标识符号
function submit_module(){
	
	var temp_name = "";//模块标识符
	var patrn=/^[a-zA-Z0-9]{1,100}$/; //正则匹配
	var str='';
	var num = $("#add_module_sign_num").val();//新增模块的行数
	var param_array = new Array();
	
	//验证模块标识符是否存在，不存在则返回错误
	temp_name = $("#temp_name").val();
	if (!patrn.exec(temp_name)){
		alert("<tpl> $langChannelModuleIdIs100EnglistOrNum </tpl>");
		return false;
	}
	
	//取广告调用代码菜单的信息，数据表示为code,以后如果继续添加参数，则以"|||"分割，参数标识：参数值 的形式衔接
	param_array[0] = "temp_name:"+temp_name;
	param_array[1] = "code:"+$("#adv_left_select").val();
	
	
	
	//循环 param_array 拼成字符串存入隐藏域中
	for(i=0;i<param_array.length;i++){
		if(i==param_array.length-1){
			str += param_array[i];
		}else{
			str += param_array[i]+'|||';
		}
	}
	
	temp_name = "adv_module_"+temp_name//给模块标识符添加前缀
	
	if(checkRepeatModuleName(temp_name) == false){return false;}//验证是否与已有名称或者表单名重复 
	
	$("#add_module_sign").append("<tr><td><span class='btn_left'><input type='button' class='btn_submit' style='width:250px' value='"+temp_name+"' onclick='modi_module(\""+temp_name+"\");deleteRow(this);set_module_style(\"disabled\");'/></span><input type='hidden' name='"+temp_name+"' id='"+temp_name+"' value='"+str+"'/><a href=\"javascript:;\" onclick=\"javascript: copyToClipboard('"+temp_name+"')\" title='<tpl> $langChannelCopyModuleName </tpl>' class='copy_a_pic'></a><a href='javascript:;' onclick='if($(\"#add_module\")[0].disabled != true){deleteProhibitionElements(\""+temp_name+"\");deleteRow(this);}else{alert(\"<tpl> $langModuleDelWrong </tpl>\");}' title='<tpl> $langChannelDelThisModule </tpl>' class='del_a_pic'></a></td></tr>");//添加模块标签
	
	$("#body_module").html("");//替换为模块标识符，隐藏域为拼的字符串
	
  	$("#add_module").attr("disabled","");//开放增加按钮
	
	set_module_style('no_disabled');//将模块区域中的按钮还原成no_disabled
	
	$.unblockUI();//去除遮罩
	
	$("#module_block").html('');//去除遮罩中的内容
	
	return false;
}
</script>